@echo off
REM "Asm68k.exe"
REM pause
if exist "SHC2021.bin" DEL "SHC2021.bin"
"Asm68k.exe" /q /p /o l. /m /e GAME=0 /e LITE=0 "SHC.asm", "SHC22F_Advanced.bin"
if not exist "SHC22F_Advanced.bin" goto Error
"Asm68k.exe" /q /p /o l. /m /e GAME=0 /e LITE=1 "SHC.asm", "SHC22L_Advanced.bin"
if not exist "SHC22L_Advanced.bin" goto Error
"Asm68k.exe" /q /p /o l. /m /e GAME=1 /e LITE=0 "SHC.asm", "SHC22F_Sonic1&2.bin"
if not exist "SHC22F_Sonic1&2.bin" goto Error
"Asm68k.exe" /q /p /o l. /m /e GAME=1 /e LITE=1 "SHC.asm", "SHC22L_Sonic1&2.bin"
if not exist "SHC22L_Sonic1&2.bin" goto Error
"Asm68k.exe" /q /p /o l. /m /e GAME=2 /e LITE=0 "SHC.asm", "SHC22F_Sonic3&K.bin"
if not exist "SHC22F_Sonic3&K.bin" goto Error
"Asm68k.exe" /q /p /o l. /m /e GAME=2 /e LITE=1 "SHC.asm", "SHC22L_Sonic3&K.bin"
if not exist "SHC22L_Sonic3&K.bin" goto Error

if "%1"=="1" goto End

:Error
pause

:End